
GammaLib - Action #760

Feature # 754 (Closed): Allow fitting of elliptical morphology shapes 

Implement GCTAResponse::npred_elliptical

02/16/2013 10:27 PM - Knödlseder Jürgen

Status: Closed Start date: 02/16/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The GCTAResponse::npred_elliptical method should perform an integration of the elliptical model over the region of interest.

History

#1 - 02/17/2013 09:31 AM - Knödlseder Jürgen

- Target version set to HESS sprint #1

#2 - 02/19/2013 12:09 AM - Knödlseder Jürgen

- Status changed from New to Feedback

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

Method implemented.

Note that the integration has not explicitly been restricted onto an elliptical shape, hence some integration problems may occur once a model is

implemented. We may have to come back in this case and implement a more sophisticated method, yet for the time being we see if we can survive

with the present code.

Note also that the code has not yet been tested as we first need to implement a real elliptical model.

#3 - 05/15/2013 09:27 AM - Knödlseder Jürgen

- Target version changed from HESS sprint #1 to 00-08-00

#4 - 12/03/2013 09:59 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- Estimated time set to 0.00

#5 - 12/10/2013 12:19 AM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#6 - 07/11/2014 04:12 PM - Knödlseder Jürgen

- Target version set to 1.0.0
